package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.PatrolInspectionType;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 类型表 服务类
 * </p>
 *
 * @author fu
 * @since 2024-02-05
 */
public interface PatrolInspectionTypeService extends CrudService<PatrolInspectionType> {

    CommonPage<PatrolInspectionType> pageList(Integer pageNum, Integer pageSize);

    void add(PatrolInspectionType patrolInspectionType);

    void softDelete(PatrolInspectionType deleteType);

    String getName(String code);
}
